using System;
using System.Data;
using System.IO;
using System.Linq;

namespace CSVParser
{
    public class CsvWriter
    {
        public static void Write(DataTable table, TextWriter writer)
        {
            
            var headers = table.Columns.Cast<DataColumn>()
                .Select(x => "[" + x.ColumnName + "]").ToArray();
            var headerText = String.Join(" ", headers);
            writer.WriteLine(headerText);
            foreach (DataRow row in table.Rows)
            {
                var fields = row.ItemArray.Select(x => "[" + x.ToString() + "]").ToArray();
                var rowText = String.Join(" ", fields);
                writer.WriteLine(rowText);
            }
        }
    }
}