﻿using System;
using System.IO;
using CSVParser;

namespace ConsoleCsvReader
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                using (var reader = new StreamReader("input.txt"))
                {
                    string csv = reader.ReadToEnd();
                    var table = CsvReader.Parse(csv);
                    using (var writer = new StreamWriter("output.txt"))
                    {

                        CsvWriter.Write(table, writer);   
                    }
                }
                Console.WriteLine("Successfully wrote to output.txt!");
            }
            catch (FileNotFoundException)
            {
                Console.WriteLine("'input.txt' not found");
            }
            catch(InvalidOperationException e)
            {
                Console.WriteLine("Error processing csv: " + e.Message);
            }
            Console.ReadLine();
        }
    }
}
